###

#

color_element_const_reference_type< ColorBase, Color > Struct Template Reference
ColorBase » Algorithms and Utility Functions » color_element_type, color_element_reference_type, color_element_const_reference_type, get_color, contains_color

Specifies the return type of the constant element accessor by color name, get_color(color_base, Color());. More...

`#include <color_base_algorithm.hpp>`

Inheritance diagram for color_element_const_reference_type< ColorBase, Color >:

## Additional Inherited Members

Public Types inherited from kth_semantic_element_const_reference_type< ColorBase, color_index_type< ColorBase, Color >::value >
using | channel_mapping_t = typename ColorBase::layout_t::channel_mapping_t
using | type = typename kth_element_const_reference_type< ColorBase, semantic_index >::type
Static Public Member Functions inherited from kth_semantic_element_const_reference_type< ColorBase, color_index_type< ColorBase, Color >::value >
static type | get (const ColorBase &cb)
Static Public Attributes inherited from kth_semantic_element_const_reference_type< ColorBase, color_index_type< ColorBase, Color >::value >
static constexpr int | semantic_index

## Detailed Description

### template<typename ColorBase, typename Color>
struct boost::gil::color_element_const_reference_type< ColorBase, Color >

Specifies the return type of the constant element accessor by color name, get_color(color_base, Color());.

The documentation for this struct was generated from the following file:

- color_base_algorithm.hpp